---
lang: en
title: 'API docs: context.context.inspect'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.context.inspect.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Context](./context.context.md) &gt; [inspect](./context.context.inspect.md)

## Context.inspect() method

Inspect the context and dump out a JSON object representing the context hierarchy

**Signature:**

```typescript
inspect(options?: ContextInspectOptions): JSONObject;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [ContextInspectOptions](./context.contextinspectoptions.md) | _(Optional)_ Options for inspect |

**Returns:**

[JSONObject](./context.jsonobject.md)


